<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8" />
  <meta http-equiv="X-UA-Compatible" content="IE=edge" />
  <title>CWRC SPARQL Endpoint</title>
  <meta name="viewport" content="width=device-width, initial-scale=1.0, viewport-fit=cover" />
  {{!-- <link rel="stylesheet" type="text/css" href="https://unpkg.com/@triply/yasgui/build/yasgui.min.css" />
  <script src="https://unpkg.com/@triply/yasgui/build/yasgui.min.js"></script> --}}
  <link href='//cdn.jsdelivr.net/npm/yasgui@2.7.29/dist/yasgui.min.css' rel='stylesheet' type='text/css' />
  <script src='//cdn.jsdelivr.net/npm/yasgui@2.7.29/dist/yasgui.min.js'></script>
  <link href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" rel="stylesheet"
    integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous" />
  <link href="css/cwrc.css" rel="stylesheet" type="text/css" />
  <link rel="shortcut icon" href="css/favicon.ico" type="image/x-icon" />
  <link rel="icon" href="css/favicon.ico" type="image/x-icon" />
</head>

<body>
  <div class="container">
    {{> menu}}
  </div>
  {{{body}}}
  <div id="yasgui">
  </div>
  <script>
    //    const yasgui = new YASGUI(document.getElementById("yasgui"), {
    //      requestConfig: { endpoint: "https://jena.lincsproject.ca/ds" },
    //      copyEndpointOnNewTab: false
    //    });
    var yasgui = YASGUI(document.getElementById("yasgui"), { endpoint: "https://fuseki.lincsproject.ca/cwrc/sparql" });
    YASGUI.YASQE.Autocompleters._prefixes = YASGUI.YASQE.Autocompleters.prefixes;
    YASGUI.YASQE.Autocompleters.prefixes = function (yasqe, completerName) {
      var completer = YASGUI.YASQE.Autocompleters._prefixes(yasqe, completerName);
      completer.async = false;
      completer.get = ["cwrc: <http://sparql.cwrc.ca/ontologies/cwrc#>", "genre: <http://sparql.cwrc.ca/ontologies/genre#>", "rdf: <http://www.w3.org/1999/02/22-rdf-syntax-ns#>","rdfs: <http://www.w3.org/2000/01/rdf-schema#>", "data: <http://cwrc.ca/cwrcdata/>", "skos: <http://www.w3.org/2004/02/skos/core#>", "oa: <http://www.w3.org/ns/oa#>"]
      return completer;
    };

  </script>

  <div>
    {{> footer}}
  </div>
  <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js"
    integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.11.0/umd/popper.min.js"
    integrity="sha384-b/U6ypiBEHpOf/4+1nzFpr53nxSS+GLCkfwBdFNTxtclqqenISfwAzpKaMNFNmj4" crossorigin="anonymous"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"
    integrity="sha384-JZR6Spejh3U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.bundle.min.js"
    integrity="sha384-feJI7QwhOS+hwpX2zkaeJQjeiwlhOP+SdQDqhgvvo1DsjtiSQByFdThsxO669S2D" crossorigin="anonymous"></script>
</body>

</html>
